curl --request POST \
--url https://{defaultHost}/v1/swaps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"swap": {
"description": "Swap and save 20%!",
"price": "8f3819cb-77e0-4b38-bcea-24a7e35895fa",
"swap_price": "a913e782-9a09-4a3f-928a-fa016b864718"
}
}
'import requests
url = "https://{defaultHost}/v1/swaps"
payload = { "swap": {
"description": "Swap and save 20%!",
"price": "8f3819cb-77e0-4b38-bcea-24a7e35895fa",
"swap_price": "a913e782-9a09-4a3f-928a-fa016b864718"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
swap: {
description: 'Swap and save 20%!',
price: '8f3819cb-77e0-4b38-bcea-24a7e35895fa',
swap_price: 'a913e782-9a09-4a3f-928a-fa016b864718'
}
})
};
fetch('https://{defaultHost}/v1/swaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "52c26cb3-3719-47db-8b58-605026e34c15",
"object": "swap",
"archived": false,
"archived_at": null,
"description": "Swap and save 20%!",
"metadata": {},
"price": "8f3819cb-77e0-4b38-bcea-24a7e35895fa",
"swap_price": "a913e782-9a09-4a3f-928a-fa016b864718",
"discarded_at": null,
"created_at": 1782485912,
"updated_at": 1782485912
}Create
Creates a new swap.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Show child attributes
Show child attributes
Response
Success
The UUID of the specific object.
A string describing the object type returned.
Whether or not this swap is archived.
A description of this swap. This text will be visibile to customers in the checkout summary when offered the swap.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Time at which the object was archived. Measured in seconds since the Unix epoch.
Expandable – The associated price ID.
Expandable – The associated price ID.
Time at which the object was discarded. Measured in seconds since the Unix epoch.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?